Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIdList Class Reference

`#include <vtkIdList.h>`

Inheritance diagram for vtkIdList:

[legend]
Collaboration diagram for vtkIdList:

[legend]
List of all members.

## Detailed Description

list of point or cell ids

Date:
  2002/01/22 15:25:26

Revision:
  1.69

vtkIdList is used to represent and pass data id's between objects. vtkIdList may represent any type of integer id, but usually represents point and cell ids.

Created by:
  - Martin, Ken
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Martin, Ken (14%)
  - Law, Charles (6%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkIdList.h)`
  - .`cxx` (`/Common/vtkIdList.cxx)`

Examples:
  vtkIdList (Examples)

Tests:
  vtkIdList (Tests)

Definition at line 52 of file vtkIdList.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
void | Initialize ()
int | Allocate (const int sz, const int strategy=0)
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkIdType | GetNumberOfIds ()
vtkIdType | GetId (const int i)
void | SetNumberOfIds (const vtkIdType number)
void | SetId (const vtkIdType i, const vtkIdType id)
void | InsertId (const vtkIdType i, const vtkIdType id)
vtkIdType | InsertNextId (const vtkIdType id)
vtkIdType | InsertUniqueId (const vtkIdType id)
vtkIdType * | GetPointer (const vtkIdType i)
vtkIdType * | WritePointer (const vtkIdType i, const vtkIdType number)
void | Reset ()
void | Squeeze ()
void | DeepCopy (vtkIdList *ids)
void | DeleteId (vtkIdType id)
vtkIdType | IsId (vtkIdType id)
void | IntersectWith (vtkIdList &otherIds)
## Static Public Methods
vtkIdList * | New ()
int | IsTypeOf (const char *type)
vtkIdList * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkIdList ()
| ~vtkIdList ()
vtkIdType * | Resize (const vtkIdType sz)
## Protected Attributes
vtkIdType | NumberOfIds
vtkIdType | Size
vtkIdType * | Ids

## Member Typedef Documentation

typedef vtkObject vtkIdList::Superclass

| Reimplemented from vtkObject. Definition at line 59 of file vtkIdList.h.

## Constructor & Destructor Documentation

vtkIdList::vtkIdList | ( |  | ) | `[protected]`

vtkIdList::~vtkIdList | ( |  | ) | `[protected]`

## Member Function Documentation

vtkIdList* vtkIdList::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkIdList::Initialize | ( |  | ) |

int vtkIdList::Allocate | ( | const int | sz,
|  | const int | strategy = 0
| ) |

virtual const char* vtkIdList::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkIdList::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkIdList::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkIdList* vtkIdList::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkIdList::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkIdType vtkIdList::GetNumberOfIds | ( |  | ) | `[inline]`

| Return the number of id's in the list. Definition at line 63 of file vtkIdList.h. References vtkIdType. Referenced by vtkCellArray::InsertNextCell().

vtkIdType vtkIdList::GetId | ( | const int | i | ) | `[inline]`

| Return the id at location i. Definition at line 66 of file vtkIdList.h. References vtkIdType. Referenced by vtkCellArray::InsertNextCell().

void vtkIdList::SetNumberOfIds | ( | const vtkIdType | number | ) |

| Specify the number of ids for this object to hold. Does an allocation as well as setting the number of ids.

void vtkIdList::SetId | ( | const vtkIdType | i,
|  | const vtkIdType | id
| ) | `[inline]`

| Set the id at location i. Doesn't do range checking so it's a bit faster than InsertId. Make sure you use SetNumberOfIds() to allocate memory prior to using SetId(). Definition at line 75 of file vtkIdList.h. References id, and vtkIdType.

void vtkIdList::InsertId | ( | const vtkIdType | i,
|  | const vtkIdType | id
| ) |

| Set the id at location i. Does range checking and allocates memory as necessary.

vtkIdType vtkIdList::InsertNextId | ( | const vtkIdType | id | ) | `[inline]`

| Add the id specified to the end of the list. Range checking is performed. Definition at line 133 of file vtkIdList.h. References id, Ids, NumberOfIds, Resize(), Size, and vtkIdType.

vtkIdType vtkIdList::InsertUniqueId | ( | const vtkIdType | id | ) |

| If id is not already in list, insert it and return location in list. Otherwise return just location in list.

vtkIdType* vtkIdList::GetPointer | ( | const vtkIdType | i | ) | `[inline]`

| Get a pointer to a particular data index. Definition at line 90 of file vtkIdList.h. References vtkIdType.

vtkIdType* vtkIdList::WritePointer | ( | const vtkIdType | i,
|  | const vtkIdType | number
| ) |

| Get a pointer to a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested.

void vtkIdList::Reset | ( |  | ) | `[inline]`

| Reset to an empty state. Definition at line 98 of file vtkIdList.h.

void vtkIdList::Squeeze | ( |  | ) | `[inline]`

| Free any unused memory. Definition at line 101 of file vtkIdList.h.

void vtkIdList::DeepCopy | ( | vtkIdList * | ids | ) |

| Copy an id list by explicitly copying the internal array.

void vtkIdList::DeleteId | ( | vtkIdType | id | ) |

| Delete specified id from list. Will remove all occurrences of id in list.

vtkIdType vtkIdList::IsId | ( | vtkIdType | id | ) | `[inline]`

| Return -1 if id specified is not contained in the list; otherwise return the position in the list. Definition at line 143 of file vtkIdList.h. References id, Ids, NumberOfIds, and vtkIdType.

void vtkIdList::IntersectWith | ( | vtkIdList & | otherIds | ) |

| Intersect this list with another vtkIdList. Updates current list according to result of intersection operation.

vtkIdType* vtkIdList::Resize | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertNextId().

## Member Data Documentation

vtkIdType vtkIdList::NumberOfIds`[protected]`

| Definition at line 122 of file vtkIdList.h. Referenced by InsertNextId(), and IsId().

vtkIdType vtkIdList::Size`[protected]`

| Definition at line 123 of file vtkIdList.h. Referenced by InsertNextId().

vtkIdType* vtkIdList::Ids`[protected]`

| Definition at line 124 of file vtkIdList.h. Referenced by InsertNextId(), and IsId().

The documentation for this class was generated from the following file:

- Common/vtkIdList.h